		<div id="modal-announcement" uk-modal>
		    <div class="uk-modal-dialog uk-modal-body">
		        <h2 class="uk-modal-title">Announcement</h2>
		        <form action="/announcements" method="post" enctype="multipart/form-data">
		        	<div class="uk-margin">
		        		<label for="">Title</label>
		        		<input type="text" class="uk-input" name="title">
		        	</div>
		        	<div class="uk-margin" uk-grid>
		        		<div class="uk-width-1-2@m">

			        		<legend for="ann-image">Upload Image <br><span class="uk-width-1-1 uk-button uk-button-primary">Add Image</span></legend>
			        		<input type="file" class="uk-hiddn" id="ann-image" accept="image/*" placeholder="Title" name="image">
		        		</div>
		        		<div class="uk-width-1-2@m">
			        		<legend for="">Date</legend>
			        		<input type="date" class="uk-input" name="date">
		        		</div>
		        	</div>
		        	<div class="uk-margin">
		        		<label>Announcement Details</label>
		        		<textarea class="uk-textarea" rows="5" name="announcement"></textarea>
		        	</div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Upload</button>
			        </p>
		        </form>
		    </div>
		</div>

		<div id="modal-scripture" uk-modal>
		    <div class="uk-modal-dialog uk-modal-body">
		        <h2 class="uk-modal-title">Scripture</h2>
		        <form action="/scriptures" method="post" enctype="multipart/form-data">
		        	<div class="uk-margin">
		        		<div class="">
			        		<legend for="">Date</legend>
			        		<input type="date" class="uk-input" name="_date">
		        		</div>
		        	</div>
		        	<div class="uk-margin">
		        		<label>Scripture Text</label>
		        		<textarea class="uk-textarea" rows="5" name="scripture"></textarea>
		        	</div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Upload</button>
			        </p>
		        </form>
		    </div>
		</div>

		<div id="modal-post" uk-modal>
		    <div class="uk-modal-dialog uk-modal-body">
		        <h2 class="uk-modal-title">Post</h2>
		        <form action="/posts" method="post" enctype="multipart/form-data">
		        	<div class="uk-margin">
	        		<div class="">
		        		<legend for="post-image">Upload Image <br><span class="uk-width-1-1 uk-button uk-button-primary">Add Image</span></legend>
		        		<input type="file" class="uk-input ukhidden" accept="image/*" id="post-image" placeholder="Title" name="image">
	        		</div>
		        	</div>
		        	<div class="uk-margin">
		        		<label>Post</label>
		        		<textarea class="uk-textarea" rows="5" name="msg_pos"></textarea>
		        	</div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Upload</button>
			        </p>
		        </form>
		    </div>
		</div>

		<div id="modal-sermon" uk-modal>
		    <div class="uk-modal-dialog uk-modal-body">
		        <h2 class="uk-modal-title">Add Sermon</h2>
		        <form method="post" action="/sermons" enctype="multipart/form-data" id="upload_sermon">
		        	<div class="uk-margin">
		        		<label for="">Sermon Title</label>
		        		<input type="text" class="uk-input" name="title">
		        	</div>
		        	<div class="uk-margin">
		        		<label for="sermon" class="uk-button uk-button-secondary uk-width-1-1">Select Sermon Track</label>
		        		<input type="file" class="uk-hidden" accept="audio/*" id="sermon" name="sermon">
		        	</div>
		        	<div class="uk-margin">
		        		<progress id="js-progressbar" class="uk-progress" value="0" max="100"></progress>
		        	</div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Upload Sermon</button>
			        </p>
		        </form>
		    </div>
		</div>

		<div id="modal-project" uk-modal>
		    <div class="uk-modal-dialog uk-modal-body">
		        <h2 class="uk-modal-title">Add Project</h2>
		        <form action="/projects" method="post">
		        	<div class="uk-margin">
		        		<label for="">Project Name</label>
		        		<input type="text" class="uk-input" name="name">
		        	</div>
		        	<div class="uk-margin">
		        		<label for="">Amount Needed (Optional)</label>
		        		<input type="text" class="uk-input" name="fund_needed">
		        	</div>
		        	<div class="uk-margin">
		        		<label for="">End Date (Optional)</label>
		        		<input type="date" class="uk-input" name="date">
		        	</div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Add Project</button>
			        </p>
		        </form>
		    </div>
		</div>

		<div id="modal-member" uk-modal>
			<div class="uk-modal-dialog uk-modal-body">
				<form method="post" action="/" enctype="multipart/form-data">
			        <h2 class="uk-modal-title">Add Member</h2>
			        <div class="uk-margin">
			        	<label>Full Name</label>
			        	<input type="text" name="name" class="uk-input">
			        </div>
			        <div class="uk-margin">
			        	<label>Email</label>
			        	<input type="email" name="email" class="uk-input">
			        </div>
			        <div class="uk-margin" uk-grid>
			        	<div class="uk-width-auto">
			        		<label>Gender</label>
			        		<select class="uk-select" name="gender">
			        			<option value="male">male</option>
			        			<option value="female">female</option>
			        		</select>
			        	</div>
			        	<div class="uk-width-auto">
			        		<label for="image">Upload Image</label><br>
			        		<label class="uk-button uk-button-primary" for="image">Add Image</label>
			        		<input type="file" accept="image/jpeg" id="image" class="uk-hidden" name="image">
			        	</div>
			        	<div class="uk-width-expand">
			        		<label>Date of Birth</label>
			        		<input type="date" name="date_of_birth" class="uk-input">
			        	</div>
			        </div>
			        <div class="uk-margin">
			        	<label>Occupation</label>
			        	<input type="text" class="uk-input" name="occupation">
			        </div>
			        <p class="uk-text-right">
			            <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
			            <button class="uk-button uk-button-primary" type="submit">Add User</button>
			        </p>
				</form>
		    </div>
		</div>

	    <div class="uk-background-muted uk-margin-large-top">
	      <div class="uk-padding-large">
	        <p class="uk-text-center">&copy; Copyright ChurchCast</p>
	      </div>
	    </div>

	</body>
	<!-- The core Firebase JS SDK is always required and must be listed first -->
	<script src="https://www.gstatic.com/firebasejs/6.1.0/firebase-app.js"></script>
	<script src="https://www.gstatic.com/firebasejs/6.1.0/firebase-auth.js"></script>
	<script src="https://www.gstatic.com/firebasejs/6.1.0/firebase-database.js"></script>
	<script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
	<script src="/assets/js/custom.js"></script>
	<script src="/assets/js/jqueryForm.js"></script>
	
	<!-- <script>
	  // Your web app's Firebase configuration
	  var firebaseConfig = {
	    apiKey: "AIzaSyBZi6XmQuWi0pC-q_6GZyrlVHUWn_VcXGk",
	    authDomain: "churchcast-bymi.firebaseapp.com",
	    databaseURL: "https://churchcast-bymi.firebaseio.com",
	    projectId: "churchcast-bymi",
	    storageBucket: "churchcast-bymi.appspot.com",
	    messagingSenderId: "240483440326",
	    appId: "1:240483440326:web:f3d8a77bded7bfe6"
	  };
	  // Initialize Firebase
	  firebase.initializeApp(firebaseConfig);
	</script> -->

	<script>
	  // Your web app's Firebase configuration
	  var firebaseConfig = {
	    apiKey: "AIzaSyA-L2viYr0oPYUnqi_5yStQC8XVirmj6C8",
	    authDomain: "churchcastdummy.firebaseapp.com",
	    databaseURL: "https://churchcastdummy.firebaseio.com",
	    projectId: "churchcastdummy",
	    storageBucket: "churchcastdummy.appspot.com",
	    messagingSenderId: "757644612857",
	    appId: "1:757644612857:web:d18a07331d003135"
	  };
	  // Initialize Firebase
	  firebase.initializeApp(firebaseConfig);
	  var ref = firebase.database().ref();
	</script>

	<script>
	  $('.msg, .title').on('dblclick', function() {
	    if ($('.msg, .title').attr('contenteditable') == 'true') {
	      $('.msg, .title').attr('contenteditable', 'undefined');
	      $('.msg, .title').css({'border' : '0', 'padding': '0'});
	      var d = new Date();
	      var strDate = d.getDate() + "/" + (d.getMonth()+1) + "/" + d.getFullYear();
	      $('small').text(strDate);
	      var data = {
	        date: strDate,
	        devotion: $('.msg').text(),
	        title: $('.title').text()
	      };
	      // console.log(data);
	      ref.child('BREAKING_YOKE/Devotionals').update(data, function(error) {
	        if(error) {
	          alert('update error');
	        } else {
	          alert('update successful');
	        }
	      });
	    } else {
	      $('.msg, .title').attr('contenteditable', 'true');
	      $('.msg, .title').css({'border' : '3px dashed #e2e2e2', 'padding': '10px'});
	    }
	  });

	  $('.notification').on('dblclick', function() {
	    if ($('.notification').attr('contenteditable') == 'true') {
	      $('.notification').attr('contenteditable', 'undefined');
	      $('.notification').css({'border' : '0', 'padding': '0'});
	      var data = {
	        text: $('.notification').text()
	      };
	      ref.child('BREAKING_YOKE/GeneralAnnouncement').update(data, function(error) {
	        if(error) {
	          alert('update error');
	        } else {
	          alert('update successful');
	        }
	      });
	    } else {
	      $('.notification').attr('contenteditable', 'true');
	      $('.notification').css({'border' : '3px dashed #e2e2e2', 'padding': '10px'});
	    }
	  });
	</script>

	<!-- Optional JavaScript -->
	<!-- jQuery first, then Popper.js, then Bootstrap JS -->
	<script>
	  $('form[id="upload_sermon"]').ajaxForm({
	      beforeSend: function() {
	        $('#js-progressbar').removeClass('uk-hidden');
	      },
	      uploadProgress: function(event, position, total, percentComplete) {
	        document.getElementById('js-progressbar').value = percentComplete;
	      },
	      success: function(data, statusText, xhr) {
	        alert('success');
	      },
	      error: function(xhr, statusText, err) {
	        alert('error');
	        console.log(xhr.responseText);
	      }
	  });
	</script>
</html>